X-Chat CTCP Ping Arbitrary Remote IRC Command Execution Vulnerability

Bugtraq ID: 3830
Class: Input Validation Error
CVE:
Remote: Yes
Local: No
Published: Jan 09 2002 12:00AM
Updated: Jan 09 2002 12:00AM
Credit: Published on the BugTraq mailing list by zen-parse <zen-parse@gmx.net> on January 9, 2002.
Vulnerable: X-Chat X-Chat 1.8.6
X-Chat X-Chat 1.8.2
+ Mandriva Linux Mandrake 8.1 ia64
+ Mandriva Linux Mandrake 8.1
X-Chat X-Chat 1.8.1
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i386
X-Chat X-Chat 1.8
+ Mandriva Linux Mandrake 8.0 ppc
+ Mandriva Linux Mandrake 8.0
X-Chat X-Chat 1.7.7
+ Conectiva Linux 7.0
X-Chat X-Chat 1.6.4
X-Chat X-Chat 1.6.3
+ HP Secure OS software for Linux 1.0
+ RedHat Linux 7.1 ia64
+ RedHat Linux 7.1 i386
+ RedHat Linux 7.1 alpha
X-Chat X-Chat 1.4.3
+ Conectiva Linux 6.0
- OpenBSD OpenBSD 2.8
X-Chat X-Chat 1.4.2
+ Conectiva Linux 5.1
+ Conectiva Linux 5.0
+ Conectiva Linux graficas
+ Conectiva Linux ecommerce
- Debian Linux 2.2
- Debian Linux 2.1
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- HP HP-UX 11.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- OpenBSD OpenBSD 2.7
- OpenBSD OpenBSD 2.6
+ RedHat Linux 7.0 i386
+ RedHat Linux 7.0 alpha
- RedHat Linux 6.2 E i386
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- RedHat Linux 6.0
- S.u.S.E. Linux 7.0
- S.u.S.E. Linux 6.4
- S.u.S.E. Linux 6.3
- SGI IRIX 6.5
- SGI IRIX 6.4
- Slackware Linux 7.1
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
X-Chat X-Chat 1.4.1
- Debian Linux 2.2
- Debian Linux 2.1
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- HP HP-UX 11.0
+ MandrakeSoft Corporate Server 1.0.1
+ Mandriva Linux Mandrake 7.2
+ Mandriva Linux Mandrake 7.1
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- OpenBSD OpenBSD 2.7
- OpenBSD OpenBSD 2.6
- RedHat Linux 6.2 E i386
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- RedHat Linux 6.0
- S.u.S.E. Linux 7.0
- S.u.S.E. Linux 6.4
- S.u.S.E. Linux 6.3
- SGI IRIX 6.5
- SGI IRIX 6.4
- Slackware Linux 7.1
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
X-Chat X-Chat 1.4
+ RedHat Linux 6.2 sparc
+ RedHat Linux 6.2 i386
+ RedHat Linux 6.2 alpha
Not Vulnerable: X-Chat X-Chat 1.8.7
+ HP Secure OS software for Linux 1.0
+ Mandriva Linux Mandrake 8.2 ppc
+ Mandriva Linux Mandrake 8.2
+ RedHat Linux 7.3 i386
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i386
+ RedHat Linux 7.2 alpha
+ RedHat Linux 7.1 ia64
+ RedHat Linux 7.1 i386
+ RedHat Linux 7.1 alpha
+ RedHat Linux 7.0 sparc
+ RedHat Linux 7.0 i386
+ RedHat Linux 7.0 alpha
+ RedHat Linux 6.2 sparc
+ RedHat Linux 6.2 i386
+ RedHat Linux 6.2 alpha


 

Privacy Statement
Copyright 2010, SecurityFocus